## com.saxonica.stream.feed
Class CardinalityCheckingFeed

    java.lang.Object
      com.saxonica.stream.feed.ItemFeed
          com.saxonica.stream.feed.CardinalityCheckingFeed

All Implemented Interfaces:
  Feed

    public class CardinalityCheckingFeed

extends ItemFeed

A Feed which checks the cardinality of the streamed sequence of items.

Constructor Summary
`CardinalityCheckingFeed(Expression checker, Feed result, Stack<XPathContext> contextStack)`

Method Summary
`void` `append(Item item)` Supply an item to the feed
`void` `close()` Signal the end of the sequence of items

Methods inherited from class com.saxonica.stream.feed.ItemFeed
`getContext, getContextStack, getExpression, getPipelineConfiguration, getResult, open, setPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardinalityCheckingFeed

    public CardinalityCheckingFeed(Expression checker,
                                   Feed result,
                                   Stack<XPathContext> contextStack)

Method Detail

### append

    public void append(Item item)
                throws XPathException

  Supply an item to the feed

  Specified by:
    `append` in interface `Feed`
  Specified by:
    `append` in class `ItemFeed`
  Parameters:
    `item` - the item being fed
  Throws:
    `XPathException` - to report any failure

### close

    public void close()
               throws XPathException

  Signal the end of the sequence of items

  Specified by:
    `close` in interface `Feed`
  Overrides:
    `close` in class `ItemFeed`
  Throws:
    `XPathException` - to report any failure

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.